<!--Exercise time!-->

<!--1. Extend your blog posts page. Each post should have:-->
<!--a. list of comments, each comment should have:-->
<!--i. author name,-->
<!--ii. content,-->
<!--iii. creation date and time,-->
<!--b. author name,-->
<!--c. creation date and time,-->
<!--d. image (you can use a URL link from google images of any image for displaying).-->
<!--2. All posts from current month should be prefixed with one heading (<h1>) ‘Latest posts’ for all-->
<!--posts.-->
<!--3. All posts from previous months should be prefixed with one heading (<h2>) ‘Older stories’ for-->
<!--all posts.-->
<!--4. All data for rendering in templates should be statically provided from view function.-->

<!DOCTYPE html>

{% extends 'base.html' %}
{% load static %}
{# templates/index.html #}
{% block title %}My amazing blog{% endblock %}
{% block content %}

{% for entry in new_posts %}
    <h1>{{ entry.title }}</h1>
    <p>{{ entry.body }}</p>
    <p> {{entry.author_name}}</p>
    <p> {{entry.creation_date_time}}</p>
    <IMG src="{% static entry.image %}">

    {% for comment in entry.list_of_comments %}
    <li> {{comment.author_name}}   {{comment.creation_date_time }}  {{comment.content }}</li>
    {% endfor %}
{% endfor %}

{% for entry in old_posts %}
    <h2>{{ entry.title }}</h2>
    <p>{{ entry.body }}</p>
    <p> {{entry.author_name}}</p>
    <p> {{entry.creation_date_time}}</p>
    <IMG src="{% static entry.image %}">

    {% for comment in entry.list_of_comments %}
    <li> {{comment.author_name}}   {{comment.creation_date_time }}  {{comment.content }}</li>
    {% endfor %}
{% endfor %}

{% endblock %}
